Reply

Compatible devices

New Viewer
Posts: 1
Post 1 of 3
177 Views

Compatible devices

Hi my devices are not compatible for sky app running latest update.. How do I get round this it's driving me crazy thanks

All Replies
Reply
First Assistant Director
Posts: 2,513
Post 2 of 3
164 Views

Re: Compatible devices

If you do not have a compatible device, you can use an Android emulator on a PC.

The minimum for My Sky app is an iOS phone or table with iOS 11 or later or an Android phone or tablet with Android 5.0 and up. 

 

As mentioned above, you could install an Android emulator on your PC and install and run the My Sky app under that. It works very well and many on here use Bluestacks. 

Executive Producer
Posts: 11,117
Post 3 of 3
137 Views

Re: Compatible devices

It should work below iOS 11. It works on iOS 9 okay.

Reply